# class XPathResult

#### package js.html

Available on HTML5

### Variables

###

`read onlybooleanValue:Bool`

readonly boolean

###

`read onlyinvalidIteratorState:Bool`

readonly boolean

###

`read onlynumberValue:Float`

readonly float

###

`read onlyresultType:Int`

readonly integer (short)

###

`read onlysingleNodeValue:Node`

readonly Node

###

`read onlysnapshotLength:Int`

readonly Integer

###

`read onlystringValue:String`

readonly String

### Methods

###

`iterateNext ():Node`

Throws:

`null` | DOMError

###

`snapshotItem (index:Int):Node`

Throws:

`null` | DOMError

### Static variables

###

`staticinline read onlyANY_TYPE:Int = 0`

###

`staticinline read onlyANY_UNORDERED_NODE_TYPE:Int = 8`

###

`staticinline read onlyBOOLEAN_TYPE:Int = 3`

###

`staticinline read onlyFIRST_ORDERED_NODE_TYPE:Int = 9`

###

`staticinline read onlyNUMBER_TYPE:Int = 1`

###

`staticinline read onlyORDERED_NODE_ITERATOR_TYPE:Int = 5`

###

`staticinline read onlyORDERED_NODE_SNAPSHOT_TYPE:Int = 7`

###

`staticinline read onlySTRING_TYPE:Int = 2`

###

`staticinline read onlyUNORDERED_NODE_ITERATOR_TYPE:Int = 4`

###

`staticinline read onlyUNORDERED_NODE_SNAPSHOT_TYPE:Int = 6`